Subject: [SIP] draft-ietf-sip-session-timer-02.txt

From: Adam Roach <[email-masked]>
Date: Mon, 31 Jul 2000 13:00:47 -0700 (PDT)

In section 3, the draft specifies that the
exiration for delta times are defined as
"[the] delta time plus the time at which the
header is observed in a response." Presumably,
you mean "final response," right? It should
probably be more explict; further, some note
should be made about "Session-Expires" in
1xx messages (if only to say that they are
disallowed).

In section 4, you specify that the lack of
require and session-timer headers in an
INVITE response imply that the UAC has no
further actions to take. This is somewhat
misleading. If, for example, the UAC sends
a "Supported: timer" header and a "Session-Expires"
header, but receives no timer indication in the
response, he still should be responsible for
initiating the periodic re-INVITEs for his
own use.

The combination of the recommendation that BYE
is sent ten seconds before the end of the session
expires and the recommendation that sessions
be refreshed at halfway through the expiration
period leads to the conlusion that refresh periods
must be larger than 20 seconds. If this is an
acceptable consequence (and I think it is), it
should probably be stated that these refresh
periods should be large enough to accomodate these
plus some slop. I suggest that the draft
recommend that timeouts are no smaller than
30 seconds.

The callflow that spans pages 11 and 12 shows
a circumstance where the calling UA requests
a timed session, and the SPS agrees to it.
You say that, after 120 seconds, the calling
UA decides not to refresh. However, since the
called UA understands the timer and agreed to
it (Require: timer), wouldn't he generally have
sent a BYE after 110 seconds? Am I missing
something?

Section 8.6 shows a callflow that has no basis
in any description of the draft. How, for
example, does the calling UA handle the
420 response? Yes, this is fairly straightforward,
but I really think it should be outlined in
the text of the draft.

Editorial comments:

- The first paragraph on page 4 includes the phrase
  "UAC and UAC" -- one of these should be "UAS."
- Table 1 and Table 4 should be labeled. (What
  happend to tables 2 and 3?)
- On page 8, the paragraph starting "If the final
  response..." contans the phrase "...and the proxy
  remembers that the proxy did not support session
  timer..." I imagine that the second "proxy" should
  be "client."
- Section 8.4, the first message from the SPS
  to the called UA should have a "Require" header
  in it (I think).

- Adam Roach
(Preferred address in non-IETF weeks:
[email-masked])

__________________________________________________
Do You Yahoo!?
Kick off your party with Yahoo! Invites.
http://invites.yahoo.com/

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip